AutoProv:       no

Name:           javapackages-tools
Version:        3.4.0
Release:        %mkrel 9
Summary:        Macros and scripts for Java packaging support
Group:          Development/Java

License:        BSD
URL:            https://fedorahosted.org/javapackages/
Source0:        https://fedorahosted.org/released/javapackages/javapackages-%{version}.tar.xz

# temporary for rebuild with classifier support 	 
Source1:        google-guice-sisu-guice-noaop.xml

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  python-lxml
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-formencode


Requires:       coreutils
Requires:       xsltproc
Requires:       lua
Requires:       python
Requires:       python-javapackages = %{version}-%{release}

Provides:       jpackage-utils = 1:%{version}-%{release}
Obsoletes:      jpackage-utils < 1:%{version}-%{release}

Provides:       java-rpmbuild = 1:%{version}-%{release}
Obsoletes:      java-rpmbuild < 1:%{version}-%{release}

Provides:       mvn(com.sun:tools) = SYSTEM
Provides:       mvn(sun.jdk:jconsole) = SYSTEM
Provides:       mvn(com.google.inject:guice::no_aop:3.1.3) = 3.1.3 	 
Provides:       mvn(org.sonatype.sisu:sisu-guice::no_aop:3.1.3) = 3.1.3

%description
This package provides macros and scripts to support Java packaging.

%package -n maven-local
Summary:        Macros and scripts for Maven packaging support
Requires:       %{name} = %{version}-%{release}
Requires:       maven
Requires:       xmvn 
# POM files needed by maven itself
Requires:       apache-commons-parent
Requires:       apache-parent
Requires:       geronimo-parent-poms
Requires:       httpcomponents-project
Requires:       jboss-parent
Requires:       jvnet-parent
Requires:       maven-parent
Requires:       maven-plugins-pom
Requires:       mojo-parent
Requires:       plexus-components-pom
Requires:       plexus-pom
Requires:       plexus-tools-pom
Requires:       sonatype-oss-parent
Requires:       weld-parent
# Common Maven plugins required by almost every build. It wouldn't make
# sense to explicitly require them in every package built with Maven.
Requires:       maven-assembly-plugin
Requires:       maven-compiler-plugin
Requires:       maven-enforcer-plugin
Requires:       maven-jar-plugin
Requires:       maven-javadoc-plugin
Requires:       maven-resources-plugin
Requires:       maven-surefire-plugin
Requires:       mvn(javax.mail:mail)
# Tests based on JUnit are very common and JUnit itself is small.
# Include JUnit provider for Surefire just for convenience.
Requires:       maven-surefire-provider-junit
# testng is quite common as well
Requires:       maven-surefire-provider-testng
Requires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)

Conflicts:      maven < 3.1.0

%description -n maven-local
This package provides macros and scripts to support packaging Maven artifacts.

%package -n python-javapackages
Summary:        Module for handling various files for Java packaging
Requires:       python-lxml

%description -n python-javapackages
Module for handling, querying and manipulating of various files for Java
packaging in Linux distributions

%package -n fedora-review-plugin-java
Summary:        fedora-review plugin for checking Java packaging guidelines
License:        GPLv2+
#Requires:       fedora-review

%description -n fedora-review-plugin-java
%{summary}.



%prep
%setup -q -n javapackages-%{version}
%apply_patches

%build
%configure
./build
pushd python
%{__python} setup.py build
popd

%install
./install
sed -e 's/.[17]$/&.gz/' -e 's/.py$/&*/' -i files-*
sed -e 's,.gz,.*,g' -i files-*
sed -e 's,%dir /usr/lib/rpm/fileattrs,,g' -i files-*

pushd python
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd

cp %{SOURCE1} %{buildroot}%{_mavendepmapfragdir}/

%check
pushd python
%{__python} setup.py test
popd

pushd test
%{__python} -m unittest discover -p '*_test.py'
popd

%files -f files-common
%doc LICENSE

%files -n maven-local -f files-maven
%{_mavendepmapfragdir}/*

%files -n python-javapackages
%doc LICENSE
%{python_sitelib}/javapackages*

%files -n fedora-review-plugin-java
%{_datadir}/fedora-review/plugins/*



%changelog
* Sun Jan 26 2014 dmorgan <dmorgan> 3.4.0-9.mga4
+ Revision: 568237
- Fix conflict against older maven

* Wed Dec 25 2013 dmorgan <dmorgan> 3.4.0-8.mga4
+ Revision: 560577
- Add one more common require

* Mon Dec 16 2013 dmorgan <dmorgan> 3.4.0-7.mga4
+ Revision: 557424
- Requires mvn(javax.mail:mail) in maven-local

* Tue Oct 22 2013 umeabot <umeabot> 3.4.0-6.mga4
+ Revision: 545411
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - Remove provides not needed anymore

* Mon Oct 21 2013 dmorgan <dmorgan> 3.2.4-3.mga4
+ Revision: 540794
- More provides

* Mon Oct 21 2013 dmorgan <dmorgan> 3.2.4-2.mga4
+ Revision: 539855
- Bump release to rebuild
- Downgrade to version 3.2.4 to fix maven install/build

* Mon Oct 21 2013 dmorgan <dmorgan> 3.4.0-5.mga4
+ Revision: 537808
- Add back google-guice-sisu-guice-noaop demap

* Tue Oct 15 2013 dmorgan <dmorgan> 3.4.0-4.mga4
+ Revision: 501226
- New version

* Tue Oct 15 2013 dmorgan <dmorgan> 3.3.1-4.mga4
+ Revision: 500552
- Remove wrong patch

* Mon Oct 14 2013 pterjan <pterjan> 3.3.1-3.mga4
+ Revision: 497834
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 12 2013 dmorgan <dmorgan> 3.3.1-2.mga4
+ Revision: 495597
- Remove SYSTEM version provide

* Wed Oct 09 2013 dmorgan <dmorgan> 3.3.1-1.mga4
+ Revision: 493927
- New version 3.3.1

* Fri Sep 20 2013 dmorgan <dmorgan> 3.2.1-2.mga4
+ Revision: 482524
- Fix requires for xsltproc

* Fri Sep 20 2013 dmorgan <dmorgan> 3.2.1-1.mga4
+ Revision: 481757
- New version 3.2.1

* Fri Sep 20 2013 dmorgan <dmorgan> 3.1.2-1.mga4
+ Revision: 481667
- New version 3.1.2

* Thu Sep 19 2013 dmorgan <dmorgan> 3.1.1-3.mga4
+ Revision: 481583
- Obsolete/providesjava-rpmbuild

* Thu Sep 19 2013 dmorgan <dmorgan> 3.1.1-2.mga4
+ Revision: 481568
- More provides

* Thu Sep 19 2013 dmorgan <dmorgan> 3.1.1-1.mga4
+ Revision: 481562
- New version 3.1.1

* Thu Sep 19 2013 dmorgan <dmorgan> 3.0.2-2.mga4
+ Revision: 481442
- Obsolete jpackage-utils
- FIx file list

* Thu Sep 19 2013 dmorgan <dmorgan> 3.0.2-1.mga4
+ Revision: 481436
- New upstream major version 3.0.2

* Fri Jul 12 2013 dmorgan <dmorgan> 0.15.0-6.mga4
+ Revision: 453461
- Renable local scripts

* Wed Jul 10 2013 dmorgan <dmorgan> 0.15.0-5.mga4
+ Revision: 452558
- Enable debug by default

* Wed Jul 10 2013 dmorgan <dmorgan> 0.15.0-4.mga4
+ Revision: 452552
- Fix conflicts with maven

* Wed Jul 10 2013 dmorgan <dmorgan> 0.15.0-3.mga4
+ Revision: 452548
- Do not own fileattr dir

* Wed Jul 10 2013 dmorgan <dmorgan> 0.15.0-2.mga4
+ Revision: 452477
- Fix buildrequires

* Wed Jul 10 2013 dmorgan <dmorgan> 0.15.0-1.mga4
+ Revision: 452465
- New version

* Tue Feb 19 2013 dmorgan <dmorgan> 0.12.0-2.mga3
+ Revision: 399298
- Fix conflict with maven

* Tue Feb 19 2013 dmorgan <dmorgan> 0.12.0-1.mga3
+ Revision: 399281
- Fix release to 1

* Tue Feb 19 2013 dmorgan <dmorgan> 0.12.0-0.mga3
+ Revision: 399275
- New version
- New version 0.10.0

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 354844
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 0.8.0-1.mga3
+ Revision: 324009
- New version ( add maven-local package)

* Mon Sep 10 2012 dmorgan <dmorgan> 0.6.0-1.mga3
+ Revision: 291860
- Update to upstream version 0.6.0
- Make maven provides versioned
- Add additional pom_ macros to simplify additional pom editing

* Sun Jul 08 2012 dmorgan <dmorgan> 0.4.0-3.mga3
+ Revision: 268933
- Fix again conflict with rpm

* Sun Jul 08 2012 dmorgan <dmorgan> 0.4.0-2.mga3
+ Revision: 268929
- Remove wrong require

* Sun Jul 08 2012 dmorgan <dmorgan> 0.4.0-1.mga3
+ Revision: 268924
- New version

* Tue Jun 12 2012 dmorgan <dmorgan> 0.3.1-1.mga3
+ Revision: 260022
- imported package javapackages-tools


* Tue Mar  6 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.1-1
- Create maven provides from fragments instead of poms

* Thu Feb 16 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.0-3
- Fix maven_depmap installation

* Wed Feb 15 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.0-2
- Add conflicts with older jpackage-utils

* Wed Feb 15 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.0-1
- Initial version split from jpackage-utils

